//<script type="text/javascript" src="res/api18n/api18n.js"></script>

// Makess sure to include dictionary service in the application backup
// Services.call("DemoMultiLangApp_Dictionary")

var app = {};
app.serviceManagerHost = '';		// to execute API calls on other server
app.serviceCallTimeout = 60000;		// milliseconds to wait for service calls to finish
app.serviceSuppressedParams = [];		// fields that won't be sent to service calls

app.addLogoutToMenu = true;		// Adds logout as the last option to the menu (you must set login page for the application)

app.loginPage = 'Login.html';

// i18n configuration object
app.languageConfiguration = {
    dictionaryService: 'DemoMultiLangApp_Dictionary', //The name of the dictionaru JS service
    defaultLanguage: 'english', //must be one of the langauges defined below
    languages: [ //all supported languages in the dictionary should be added to app.languageConfiguration
        {
            title: 'EN', //title to be used in the default languages toolbar
            language: 'english' //name to be used in the dictionary service
        },
        {
            title: 'TST',
            language: 'test'
        },
    ]
};

// Optional - disable language default menu, replaced with LOV in login page
createLanguageMenu = function () {};

// Translate logout menu tests
function translateLogoutPopup() {
    app.logoutTitle = getTranslationForId("@logout_popup_title");
    app.logoutMessage = getTranslationForId("@logout_popup_message"); 
    app.logoutYesButton = getTranslationForId("@logout_popup_yes");
    app.logoutNoButton = getTranslationForId("@logout_popup_no"); 
}

// Clean dictionary cache to ensure reload of new definitions (should be called in the login page)
function initI18n() {
    cleanLanguageDictionary();
    invokeI18n();
}

// Upload i18n module and execute page translation (should be called on pageChanged event)
function invokeI18n() {
    loadLanguageModule();
    translateLogoutPopup();
}

Events.pageChanged = function(){
    // Execute translation on each page load
    invokeI18n();
};

var partialPlayback = {
	keepAlive: [
	]
};

Services.registerArray('Demo_GetTableData', ['childName','childAge','childGender']);
